/*****************************************************************************
                              辞書  ファンクション                        
                      AD Coop Kansai Corpration, Limited                      
                                                                              
        $Id: userdic.js,v 1.3 2005/11/22 06:53:25 ikuma Exp $
*****************************************************************************/
/*=========================================================
  グローバル変数の設定
=========================================================*/
var m_strRootUrl = "https://192.168.1.1/~example1/";
var m_fncAfterFunction;
var m_objWindow;

/*=========================================================
  AJAX通信
=========================================================*/
//PHPよりデータの受信
function handleHttpResponse() {
  var element = document.getElementById('searchresult');
  if (xmlHttp.readyState == 4 && xmlHttp.status == 200 && document.getElementById('word').value != "") {
    var xmlDoc = xmlHttp.responseXML;
    var data   = "<table width=\"100%\" border=\"1\" cellspacing=\"0\" cellpadding=\"0\">";
      data += "<tr>";
      data += "<td class=\"futi\" width=\"25%\">見出語</td>";
      data += "<td class=\"futi\" width=\"25%\">発音記号</td>";
      data += "<td class=\"futi\" width=\"25%\">訳語</td>";
      data += "<td class=\"futi\" width=\"25%\">用例</td>";
      data += "</tr>";
      if (xmlDoc.documentElement) {
          var len = xmlDoc.getElementsByTagName('word').length;
          var style_s = "";
          for (i = 0; i < len; i++) {
            var id     = xmlDoc.getElementsByTagName('id').item(i).firstChild;
            var midasi = xmlDoc.getElementsByTagName('midasi').item(i).firstChild;
            var hatuon = xmlDoc.getElementsByTagName('hatuon').item(i).firstChild;
            var yaku   = xmlDoc.getElementsByTagName('yaku').item(i).firstChild;
            var yorei  = xmlDoc.getElementsByTagName('yorei').item(i).firstChild;
            if ( ( i % 2 ) == 0 ) { style_s = "oushu"; } else { style_s = "jishu"; }  //スタイル切り替え
            data += "<tr class=\"" + style_s + "\">";
            data += "<td class=\"biao\"><a class=\"kongzuo\" href=\"#\" onclick=\"javascript:edit_word('" + id.data + "','load')\">" + midasi.data + "</a></td>";
            data += "<td class=\"biao\">" + hatuon.data + "</td>";
            data += "<td class=\"biao\">" + yaku.data + "</td>";
            data += "<td class=\"biao\">" + yorei.data + "</td></tr>\n";
          }
      }
      data += "</table>";
      element.innerHTML = data;

  }
}
//PHPへのデータの送信
function getData() {
    var word = document.getElementById('word').value;
    var mode;
    if(document.getElementById('mode[0]').checked == true){
      mode = "m";
    }else if(document.getElementById('mode[1]').checked == true){
      mode = "h";
    }else if(document.getElementById('mode[2]').checked == true){
      mode = "y";
    }
    xmlHttp.open('GET','ajax.php?word=' + encodeURI(word) + '&mode=' + mode, true);
    xmlHttp.onreadystatechange = handleHttpResponse;
    xmlHttp.send(null);
}
//オブジェクト
function getXmlHttpObject() {
    var xmlhttp;
    /*@cc_on
    @if (@_jscript_version >= 5)
        try {
            xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
        } catch (e) {
            try {
                xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
            } catch (E) {
                xmlhttp = false;
            }
        }
    @else
        xmlhttp = false;
    @end @*/
    if (!xmlhttp && typeof XMLHttpRequest != 'undefined') {
        try {
            xmlhttp = new XMLHttpRequest();
            xmlhttp.overrideMimeType("text/xml"); 
        } catch (e) {
            xmlhttp = false;
        }
    }
    return xmlhttp;
}
var xmlHttp = getXmlHttpObject();
/*=========================================================
  登録語編集：新規登録 呼出
=========================================================*/
function add_word(strSta){
  var strUrl;
  var strWindowPrm = "toolbar=no,location=no,directories=no,status=yes,menubar=no,scrollbars=no,resizable=no,top=100,left=100,width=750,height=370";

  strUrl = m_strRootUrl + "editor.php" +
    "?pStatus=" + strSta;

  m_objWindow = window.open(strUrl, 'editor', strWindowPrm);
  m_objWindow.focus();
}

function edit_word(Int,strSta){
  var strUrl;
  var strWindowPrm = "toolbar=no,location=no,directories=no,status=yes,menubar=no,scrollbars=no,resizable=no,top=100,left=100,width=750,height=370";

  strUrl = m_strRootUrl + "editor.php" +
    "?pInt=" + Int +
    "&pStatus=" + strSta;

  m_objWindow = window.open(strUrl, 'editor', strWindowPrm);
  m_objWindow.focus();
}

/*=========================================================
  登録語編集：新規登録 
=========================================================*/
function wordReg(){
  var objElement = document.getElementsByTagName("FORM")[0];
  if(data_blank_check('midasi,hatuon,yaku') == false){
    return;
  }
  objElement.method="post";
  objElement.fstatus.value = "reg";
  objElement.action = location.href;
  objElement.submit();
}

function wordEdit(){
  var objElement = document.getElementsByTagName("FORM")[0];
  if(data_blank_check('midasi,hatuon,yaku') == false){
    return;
  }
  objElement.method="post";
  objElement.fstatus.value = "confirm";
  objElement.action = location.href;
  objElement.submit();
}
/*============================================================================
  ページ表示時のメッセージ処理  
============================================================================*/
function page_load(strMsg) {
  // メッセージの表示
  if (strMsg != "") {
    alert(strMsg);
  }
}
/*============================================================================
空白チェック
============================================================================*/
function data_blank_check(strFlds){
  var objElement;
  var strSplit;
  var i;
  strSplit = strFlds.split(",");
  for (i = 0 ; i < strSplit.length ; i++){
    objElement = document.getElementById(strSplit[i]);
      if (objElement.value == "") {
        alert("文字を入力してください。");
        if (objElement.getAttribute("TYPE") == "text") {
          objElement.focus();
        }
        if (objElement.getAttribute("TYPE") == "textarea") {
          objElement.focus();
        }
        return false;
      }
  }
  return true;
}
